Subject: Re: bug#1806: dired-pop-to-buffer in wrong place

From: Chong Yidong <[email-masked]>
Date: Wed, 26 Sep 2012 11:16:58 +0800

martin rudalics <[email-masked]> writes:

> Note that I have added an option `temp-buffer-resize-regexps' which can
> be used to turn off resizing in selected buffers.

What is the rationale for this change?  I can't find any discussion
about this on emacs-devel or the bug list, but maybe I missed it.

I'm not enthusiastic about the existence of temp-buffer-resize-mode in
the first place.  It's a bad concept, since it creates a difference
between "temporary buffers" and other kinds of buffers displayed via
display-buffer.  But there are no guidelines for when such a difference
should exist.  So adding more knobs onto temp-buffer-resize-mode is a
step in the wrong direction, IMO.